import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { Link } from 'react-router-dom';
import Icon from '../Icon';
/**
 * Anchor tag that handles internal and external links.
 * Opens external links in a new window.
 */

var A = function A(props) {
  var children = props.children,
      href = props.href,
      iconProps = props.iconProps,
      text = props.text,
      to = props.to,
      rest = _objectWithoutProperties(props, ["children", "href", "iconProps", "text", "to"]);

  var aProps;
  var Tag = 'a';

  if (href) {
    // is external link
    aProps = _objectSpread(_objectSpread({}, rest), {}, {
      href: href,
      target: '_blank',
      rel: 'noopener noreferrer'
    });
  } else {
    // is internal link
    aProps = _objectSpread(_objectSpread({}, rest), {}, {
      to: to
    });
    Tag = Link;
  }

  return (
    /*#__PURE__*/
    React.createElement(Tag, Object.assign({
      "data-test": 'link'
    }, aProps), iconProps &&
    /*#__PURE__*/
    React.createElement(Icon, iconProps), text || children)
  );
};

A.defaultProps = {
  children: null,
  href: '',
  iconProps: null,
  text: '',
  to: ''
};
export default A;