import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';
import { Router as DefaultRouter } from 'react-router-dom';
import classNames from 'classnames';
import debounce from 'lodash.debounce';
import * as propUtils from '../../utils/propTypes';
import ErrorBoundary from '../ErrorBoundary';
import Routing from '../Routing';
import Header from '../Header';
import Footer from '../Footer';
import '../../style/style.scss';
/**
 * This container handles updating user setttings, rendering
 * the header and footer, and routing. This container is the
 * default export fhe project, and the main entry point of any
 * application that is using this project.
 */

export var App =
/*#__PURE__*/
function (_React$Component) {
  _inherits(App, _React$Component);

  var _super = _createSuper(App);

  function App(props) {
    var _this;

    _classCallCheck(this, App);

    _this = _super.call(this, props);

    _this.onScroll = function () {
      var returnTopVisible = _this.state.returnTopVisible;
      var isVisible = window.scrollY > 130;

      if (returnTopVisible !== isVisible) {
        _this.setState({
          returnTopVisible: isVisible
        });
      }
    };

    _this.onClickReturnTop = function () {
      window.scroll(0, 0);
    };

    _this.renderReturnTop = function () {
      var returnTopVisible = _this.state.returnTopVisible;
      var cn = classNames(['return-top', {
        'is-visible': returnTopVisible
      }]);
      return (
        /*#__PURE__*/
        React.createElement("span", {
          "aria-hidden": true,
          type: 'button',
          className: cn,
          onClick: _this.onClickReturnTop
        })
      );
    };

    _this.renderHeader = function () {
      var _this$props = _this.props,
          renderHeader = _this$props.renderHeader,
          fixedHeader = _this$props.fixedHeader,
          alignHeader = _this$props.alignHeader,
          headerTitle = _this$props.headerTitle,
          brandingLogo = _this$props.brandingLogo,
          routes = _this$props.routes,
          contactLink = _this$props.contactLink;

      if (renderHeader) {
        return renderHeader(_this.props);
      }

      var headerProps = {
        fixed: fixedHeader,
        align: alignHeader,
        title: headerTitle,
        brandingLogo: brandingLogo,
        routes: routes,
        contactLink: contactLink
      };
      return (
        /*#__PURE__*/
        React.createElement(Header, headerProps)
      );
    };

    _this.renderRouting = function () {
      var _this$props2 = _this.props,
          renderRouting = _this$props2.renderRouting,
          routes = _this$props2.routes,
          redirect = _this$props2.redirect;

      if (renderRouting) {
        return renderRouting(_this.props);
      }

      var routingProps = {
        routes: routes,
        redirect: redirect
      };
      return (
        /*#__PURE__*/
        React.createElement(Routing, routingProps)
      );
    };

    _this.renderFooter = function () {
      var _this$props3 = _this.props,
          renderFooter = _this$props3.renderFooter,
          contactLink = _this$props3.contactLink,
          footerLinks = _this$props3.footerLinks,
          socialLinks = _this$props3.socialLinks;

      if (renderFooter) {
        return renderFooter(_this.props);
      }

      var footerProps = {
        contactLink: contactLink,
        footerLinks: footerLinks,
        socialLinks: socialLinks
      };
      return (
        /*#__PURE__*/
        React.createElement(Footer, footerProps)
      );
    };

    _this.state = {
      returnTopVisible: false
    };
    _this.scrollEvent = debounce(_this.onScroll, 200);
    return _this;
  }

  _createClass(App, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      window.addEventListener('scroll', this.scrollEvent);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('scroll', this.scrollEvent);
    } // handles displaying the return to top button if scrolled

  }, {
    key: "render",
    value: function render() {
      var _this$props4 = this.props,
          history = _this$props4.history,
          Router = _this$props4.router;
      return (
        /*#__PURE__*/
        React.createElement(Router, {
          history: history
        },
        /*#__PURE__*/
        React.createElement(ErrorBoundary, null, this.renderHeader(), this.renderRouting(), this.renderFooter(), this.renderReturnTop()))
      );
    }
  }]);

  return App;
}(React.Component);
App.defaultProps = {
  renderHeader: null,
  renderRouting: null,
  renderFooter: null,
  fixedHeader: true,
  alignHeader: 'right',
  headerTitle: null,
  brandingLogo: propUtils.brandingLogoDefault,
  routes: [],
  redirect: null,
  contactLink: propUtils.contactLinkDefault,
  footerLinks: propUtils.footerLinksDefault,
  socialLinks: propUtils.socialLinksDefault,
  router: DefaultRouter
};
export default App;