Wrap your Routing Component in the AppInsightsProvider 

This will give you automatic exception tracking and page tracking

<br />

import { AppInsightsProvider } from 'state-template';

<br />

<AppInsightsProvider history={history} appInsightsKey={'APP_INSIGHTS_KEY'} severityLevel={3}>

</AppInsightsProvider>

<br />

### Available Tracking Methods 

import {
    trackEvent,
    trackException,
    trackTrace,
    severityLevel
} from 'state-template';

trackEvent('event-name');

trackException({ error: new Error('some error'), severityLevel: SeverityLevel.Error });

trackTrace('some trace', SeverityLevel.Information, {example: 'object'});

<br />

#### Available Severity Levels:

If severity is not set on the provider, default is set to Verbose. 

- Verbose = 0
- Information = 1
- Warning = 2
- Error = 3
- Critical = 4