import React, { createContext, useEffect } from 'react';
import { ai } from './AppInsights';
var AppInsightsContext = createContext(ai.reactPlugin);

var AppInsightsProvider = function AppInsightsProvider(_ref) {
  var children = _ref.children,
      history = _ref.history,
      appInsightsKey = _ref.appInsightsKey,
      severityLevel = _ref.severityLevel;
  useEffect(function () {
    ai.initialize(appInsightsKey, history, severityLevel);
  }, [appInsightsKey, history]);
  return (
    /*#__PURE__*/
    React.createElement(AppInsightsContext.Provider, {
      value: ai.reactPlugin
    }, children)
  );
};

export { AppInsightsContext, AppInsightsProvider };