import { connect } from 'react-redux';
import { createStructuredSelector } from 'reselect';
import Async from './Async';
import * as actions from './actions';
import * as selectors from './selectors';
export var mapStateToProps = createStructuredSelector({
  isLoading: selectors.getIsLoading(),
  error: selectors.getError()
});
export var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    onDismiss: function onDismiss() {
      return dispatch(actions.setError(null));
    }
  };
};
var ConnectedAsync = connect(mapStateToProps, mapDispatchToProps)(Async);
export default ConnectedAsync;