import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';
import Button from '../Button';

var ErrorMessage =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ErrorMessage, _React$Component);

  var _super = _createSuper(ErrorMessage);

  function ErrorMessage() {
    var _this;

    _classCallCheck(this, ErrorMessage);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _this.onClickDismiss = function (event) {
      var _this$props = _this.props,
          btnProps = _this$props.btnProps,
          onDismiss = _this$props.onDismiss;
      btnProps.onClick(event);
      onDismiss();
    };

    _this.renderDismissBtn = function () {
      var btnProps = _this.props.btnProps;

      if (btnProps) {
        return (
          /*#__PURE__*/
          React.createElement(Button, Object.assign({}, btnProps, {
            onClick: _this.onClickDismiss
          }))
        );
      }

      return null;
    };

    return _this;
  }

  _createClass(ErrorMessage, [{
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      var onDismiss = this.props.onDismiss;
      onDismiss();
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props2 = this.props,
          error = _this$props2.error,
          children = _this$props2.children;

      if (error) {
        var errorMessage = error.message || error;
        return (
          /*#__PURE__*/
          React.createElement("div", {
            className: 'error-message'
          },
          /*#__PURE__*/
          React.createElement("div", {
            className: 'text-center'
          },
          /*#__PURE__*/
          React.createElement("h2", null, "Sorry, something went wrong!"),
          /*#__PURE__*/
          React.createElement("p", null, errorMessage), this.renderDismissBtn()))
        );
      }

      return children;
    }
  }]);

  return ErrorMessage;
}(React.Component);

ErrorMessage.defaultProps = {
  error: null,
  btnProps: undefined
};
export default ErrorMessage;