import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';

/**
 * Indicates content is loading
 */
var LoadingIndicator =
/*#__PURE__*/
function (_React$Component) {
  _inherits(LoadingIndicator, _React$Component);

  var _super = _createSuper(LoadingIndicator);

  function LoadingIndicator(props) {
    var _this;

    _classCallCheck(this, LoadingIndicator);

    _this = _super.call(this, props);

    _this.setDelayReached = function () {
      _this.setState({
        delayReached: true
      });
    };

    _this.clearDelayReached = function () {
      _this.clearTimer();

      _this.setState({
        delayReached: false
      });
    };

    _this.setTimer = function () {
      var delay = _this.props.delay;
      _this.delayTimer = setTimeout(_this.setDelayReached, delay);
    };

    _this.clearTimer = function () {
      clearTimeout(_this.delayTimer);
    };

    _this.state = {
      delayReached: false
    };
    _this.delayTimer = null;
    return _this;
  }

  _createClass(LoadingIndicator, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      var isLoading = this.props.isLoading;

      if (isLoading) {
        this.setTimer();
      }
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      var isLoading = this.props.isLoading; // set a delay for displaying the loading indicator to avoid flashing

      if (isLoading !== prevProps.isLoading) {
        this.clearDelayReached();

        if (isLoading) {
          this.setTimer();
        }
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.clearTimer();
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          isLoading = _this$props.isLoading;
      var delayReached = this.state.delayReached;
      var show = Boolean(isLoading && delayReached);
      return (
        /*#__PURE__*/
        React.createElement("div", {
          className: 'loading-indicator'
        },
        /*#__PURE__*/
        React.createElement("div", {
          className: 'loading-content'
        }, children, show &&
        /*#__PURE__*/
        React.createElement(React.Fragment, null,
        /*#__PURE__*/
        React.createElement("div", {
          className: 'loading-overlay'
        }),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'uil-ripple-css'
        },
        /*#__PURE__*/
        React.createElement("div", null),
        /*#__PURE__*/
        React.createElement("div", null)))))
      );
    }
  }]);

  return LoadingIndicator;
}(React.Component);

LoadingIndicator.defaultProps = {
  children: null,
  delay: 200
};
export default LoadingIndicator;