import _regeneratorRuntime from "@babel/runtime/regenerator";

var _marked =
/*#__PURE__*/
_regeneratorRuntime.mark(mockSaga);

import * as actions from './actions';
import withAsync from './withAsync';
jest.mock('redux-saga/effects');
jest.mock('./actions');
var action = {
  payload: 123
};
var mockFunc = jest.fn();

function mockSaga(payload) {
  return _regeneratorRuntime.wrap(function mockSaga$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _context.next = 2;
          return mockFunc(payload);

        case 2:
        case "end":
          return _context.stop();
      }
    }
  }, _marked);
}

var runSaga = function runSaga(saga) {
  var _iteratorNormalCompletion = true;
  var _didIteratorError = false;
  var _iteratorError = undefined;

  try {
    for (var _iterator = saga[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
      var _ = _step.value;
    } // eslint-disable-line

  } catch (err) {
    _didIteratorError = true;
    _iteratorError = err;
  } finally {
    try {
      if (!_iteratorNormalCompletion && _iterator.return != null) {
        _iterator.return();
      }
    } finally {
      if (_didIteratorError) {
        throw _iteratorError;
      }
    }
  }
};

describe('withAsync', function () {
  it('should return a saga function', function () {
    expect(typeof withAsync(mockSaga)).toBe('function');
  });
  it('should update the loading value', function () {
    var saga = withAsync(mockSaga)(action);
    runSaga(saga);
    expect(actions.increaseLoading).toBeCalled();
    expect(actions.decreaseLoading).toBeCalled();
  });
  it('should run the passed saga with the action', function () {
    var saga = withAsync(mockSaga)(action);
    runSaga(saga);
    expect(mockFunc).toBeCalledWith(action);
  });
  it('should handle errors', function () {
    var error = new Error('test errorz!');

    mockFunc = function mockFunc() {
      throw error;
    };

    var saga = withAsync(mockSaga)(action);
    runSaga(saga);
    expect(actions.setError).toBeCalledWith(error);
  });
});