import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';
import Icon from '../Icon';
/**
 * Buttons come in various styles and inherit
 * all properties of a standard html button.
 */

var Button = function Button(props) {
  var active = props.active,
      baseClass = props.baseClass,
      children = props.children,
      className = props.className,
      iconProps = props.iconProps,
      Tag = props.tag,
      text = props.text,
      variant = props.variant,
      rest = _objectWithoutProperties(props, ["active", "baseClass", "children", "className", "iconProps", "tag", "text", "variant"]);

  var btnClass = classNames([baseClass, className, _defineProperty({
    active: active
  }, "".concat(baseClass, "-").concat(variant), variant)]);
  return (
    /*#__PURE__*/
    React.createElement(Tag, Object.assign({
      "data-test": 'button',
      className: btnClass
    }, rest), iconProps &&
    /*#__PURE__*/
    React.createElement(Icon, iconProps), text || children)
  );
};

Button.defaultProps = {
  active: false,
  baseClass: 'btn',
  children: null,
  className: '',
  iconProps: null,
  tag: 'button',
  text: null,
  type: 'button',
  variant: ''
};
export default Button;