import React from 'react';
import { shallow } from 'enzyme';
import { Button as fromLib } from '../..';
import Icon from '../Icon';
import Button from '.';
var props = {};
var wrapper;
describe('Button', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(Button, props, "children..."));
  });
  it('should be exported as part of the library', function () {
    expect(fromLib).toEqual(Button);
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should render shorthand `text`', function () {
    wrapper.setProps({
      text: 'test text'
    });
    expect(wrapper.text()).toBe('test text');
  });
  it('should render an icon if passed `iconProps`', function () {
    var iconProps = {
      name: 'test'
    };
    wrapper.setProps({
      iconProps: iconProps
    });
    expect(wrapper.find(Icon).length).toBe(1);
  });
  it('should allow `variant`s', function () {
    wrapper.setProps({
      variant: 'secondary'
    });
    var className = wrapper.find('button').prop('className');
    expect(className).toMatch(/btn-secondary/);
  });
  it('should attach `className`s', function () {
    wrapper.setProps({
      className: 'textClass'
    });
    var className = wrapper.find('button').prop('className');
    expect(className).toMatch(/textClass/);
  });
  it('should allow different `tag`s', function () {
    wrapper.setProps({
      tag: 'a'
    });
    expect(wrapper.find('a').length).toBe(1);
  });
  it('should pass additional props', function () {
    wrapper.setProps({
      id: 'testId',
      type: 'submit'
    });
    var button = wrapper.find('button');
    expect(button.prop('id')).toBe('testId');
    expect(button.prop('type')).toBe('submit');
  });
});