import React from 'react';
import { shallow } from 'enzyme';
import { ButtonRow as fromLib } from '../..';
import ButtonRow from './ButtonRow';
import Button from '.';
var props = {};

var Button1 = function Button1() {
  return (
    /*#__PURE__*/
    React.createElement(Button, {
      variant: 'default'
    })
  );
};

var Button2 = function Button2() {
  return (
    /*#__PURE__*/
    React.createElement(Button, {
      variant: 'primary'
    })
  );
};

var wrapper;
describe('ButtonRow', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(ButtonRow, props,
    /*#__PURE__*/
    React.createElement(Button1, null),
    /*#__PURE__*/
    React.createElement(Button2, null)));
  });
  it('should be exported as part of the library', function () {
    expect(fromLib).toEqual(ButtonRow);
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should attach classNames', function () {
    wrapper.setProps({
      className: 'textClass'
    });
    var className = wrapper.prop('className');
    expect(className).toMatch(/textClass/);
  });
  it('should pass additional props', function () {
    wrapper.setProps({
      id: 'testId',
      type: 'submit'
    });
    expect(wrapper.prop('id')).toBe('testId');
  });
});