import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import { Link } from 'react-router-dom';
import Button from './Button';
/**
 * A `Button` specialized for links. Buttons with a `to`
 * are handled by react-router-dom's internal routing.
 * See [Button](#button) for full set of available props.
 */

var LinkButton = function LinkButton(props) {
  var to = props.to,
      href = props.href,
      rest = _objectWithoutProperties(props, ["to", "href"]);

  var btnProps;

  if (href) {
    // is external link
    btnProps = _objectSpread(_objectSpread({}, rest), {}, {
      href: href,
      target: '_blank',
      tag: 'a'
    });
  } else {
    // is internal link
    btnProps = _objectSpread(_objectSpread({}, rest), {}, {
      to: to,
      tag: Link
    });
  } // clear type to render as anchor (css issues..)


  btnProps.type = '';
  return (
    /*#__PURE__*/
    React.createElement(Button, btnProps)
  );
};

LinkButton.defaultProps = {
  to: '',
  href: ''
};
export default LinkButton;