import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';
import Icon from '../Icon';

var Card = function Card(props) {
  var children = props.children,
      className = props.className,
      footer = props.footer,
      header = props.header,
      onDismiss = props.onDismiss,
      variant = props.variant,
      rest = _objectWithoutProperties(props, ["children", "className", "footer", "header", "onDismiss", "variant"]);

  var cn = classNames(['card ', className, _defineProperty({}, "card-".concat(variant), variant)]);
  return (
    /*#__PURE__*/
    React.createElement("div", Object.assign({
      "data-test": 'card',
      className: cn
    }, rest), onDismiss &&
    /*#__PURE__*/
    React.createElement(Icon, {
      name: 'close-mark',
      onClick: onDismiss,
      className: 'dismiss-icon',
      "data-test": 'button-dismiss',
      srOnly: 'dismiss'
    }), header &&
    /*#__PURE__*/
    React.createElement("div", {
      className: 'card-header'
    }, header),
    /*#__PURE__*/
    React.createElement("div", {
      className: 'card-block'
    }, children), footer &&
    /*#__PURE__*/
    React.createElement("div", {
      className: 'card-footer'
    }, footer))
  );
};

Card.defaultProps = {
  children: null,
  className: '',
  footer: null,
  header: null,
  onDismiss: null,
  variant: 'default'
};
export default Card;