import React from 'react';
import { shallow } from 'enzyme';
import { Card as fromLib } from '../..';
import Card from '.';

var TestHeader = function TestHeader() {
  return (
    /*#__PURE__*/
    React.createElement("div", null, "in header...")
  );
};

var TestChild = function TestChild() {
  return (
    /*#__PURE__*/
    React.createElement("div", null, "test children...")
  );
};

var TestFooter = function TestFooter() {
  return (
    /*#__PURE__*/
    React.createElement("div", null, "in footer...")
  );
};

var props = {
  onDismiss: jest.fn(),
  header:
  /*#__PURE__*/
  React.createElement(TestHeader, null),
  children:
  /*#__PURE__*/
  React.createElement(TestChild, null),
  footer:
  /*#__PURE__*/
  React.createElement(TestFooter, null)
};
var wrapper;
describe('Card', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(Card, props));
  });
  it('should be exported as part of the library', function () {
    expect(fromLib).toEqual(Card);
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should allow variants', function () {
    wrapper.setProps({
      variant: 'overstated'
    });
    expect(wrapper.prop('className')).toMatch(/card-overstated/);
  });
  it('should attach classNames', function () {
    wrapper.setProps({
      className: 'testClass'
    });
    expect(wrapper.prop('className')).toMatch(/testClass/);
  });
  it('should pass additional props', function () {
    wrapper.setProps({
      id: 'testId'
    });
    expect(wrapper.prop('id')).toBe('testId');
  });
  it('should call `onDismiss` when the close icon is clicked', function () {
    wrapper.find({
      'data-test': 'button-dismiss'
    }).simulate('click');
    expect(props.onDismiss).toBeCalled();
  });
});