import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import Icon from '../Icon';
import Tooltip from '../Tooltip';

var FieldLabel = function FieldLabel(props) {
  var label = props.label,
      name = props.name,
      required = props.required,
      Tag = props.tag,
      tooltip = props.tooltip,
      rest = _objectWithoutProperties(props, ["label", "name", "required", "tag", "tooltip"]);

  if (!label) {
    return null;
  }

  var tooltipId = "".concat(name, "-tooltip");
  return (
    /*#__PURE__*/
    React.createElement(Tag, Object.assign({
      "data-test": 'label',
      className: 'field__label control-label'
    }, rest), required &&
    /*#__PURE__*/
    React.createElement("span", {
      "data-test": 'required',
      className: 'required-label',
      "aria-hidden": true
    }, "* "), label, tooltip &&
    /*#__PURE__*/
    React.createElement("span", {
      className: 'field__label-tooltip',
      "data-for": tooltipId,
      "data-tip": true
    },
    /*#__PURE__*/
    React.createElement(Icon, {
      name: 'question-fill'
    }),
    /*#__PURE__*/
    React.createElement(Tooltip, {
      id: tooltipId,
      text: tooltip
    })))
  );
};

FieldLabel.defaultProps = {
  label: null,
  required: false,
  tag: 'label',
  tooltip: null
};
export default FieldLabel;