import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _toConsumableArray from "@babel/runtime/helpers/esm/toConsumableArray";
import React from 'react';
import { Field } from 'redux-form'; // HOC wrapper around redux-form's Field to alter props
// before they get to the component

var withReduxForm = function withReduxForm(emptyValidator) {
  return function (component) {
    var ReduxFormField = function ReduxFormField(props) {
      var disabled = props.disabled,
          required = props.required,
          validate = props.validate;
      var toValidate;
      var isRequired; // only validate fields that are not disabled

      if (!disabled) {
        // attach the validation for required based off input type
        if (required) {
          isRequired = true;
          toValidate = [].concat(_toConsumableArray(validate), [emptyValidator]);
        } else {
          toValidate = validate;
        }
      }

      var fieldProps = _objectSpread(_objectSpread({}, props), {}, {
        component: component,
        required: isRequired,
        validate: toValidate
      });

      return (
        /*#__PURE__*/
        React.createElement(Field, fieldProps)
      );
    };

    ReduxFormField.defaultProps = {
      disabled: false,
      required: false,
      validate: []
    };
    return ReduxFormField;
  };
};

export default withReduxForm;