import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';
import { isEmptyCheck } from '../../utils/validate';
import * as propUtils from '../../utils/propTypes';
import { withField, FieldLabel } from '../Field';
import Checkbox from './Checkbox';
/**
 * Group of checkboxes and label that applies state-template styling
 */

export var FieldCheckboxes = function FieldCheckboxes(props) {
  var ariaDescribedby = props['aria-describedby'],
      ariaInvalid = props['aria-invalid'],
      className = props.className,
      disabled = props.disabled,
      id = props.id,
      inline = props.inline,
      label = props.label,
      name = props.name,
      onBlur = props.onBlur,
      onChange = props.onChange,
      onFocus = props.onFocus,
      options = props.options,
      required = props.required,
      tooltip = props.tooltip,
      value = props.value,
      variant = props.variant,
      rest = _objectWithoutProperties(props, ["aria-describedby", "aria-invalid", "className", "disabled", "id", "inline", "label", "name", "onBlur", "onChange", "onFocus", "options", "required", "tooltip", "value", "variant"]);

  var labelId = "".concat(id, "--label");
  var cn = classNames(['field__checkboxes', className]);

  var wrapperProps = _objectSpread({
    'aria-describedby': labelId,
    'data-test': 'field__checkboxes',
    className: cn,
    id: id,
    role: 'group'
  }, rest);

  var checkProps = {
    'aria-describedby': ariaDescribedby,
    'aria-invalid': ariaInvalid,
    disabled: disabled,
    inline: inline,
    name: name,
    onBlur: onBlur,
    onChange: onChange,
    onFocus: onFocus,
    value: value,
    variant: variant
  };
  return (
    /*#__PURE__*/
    React.createElement(React.Fragment, null,
    /*#__PURE__*/
    React.createElement(FieldLabel, {
      label: label,
      name: name,
      required: required,
      tooltip: tooltip,
      tag: 'div',
      id: labelId
    }),
    /*#__PURE__*/
    React.createElement("div", wrapperProps, options.filter(function (x) {
      return !x.hidden;
    }).map(function (option) {
      return (
        /*#__PURE__*/
        React.createElement(Checkbox, Object.assign({
          key: option.value,
          option: option
        }, option, checkProps))
      );
    })))
  );
};
FieldCheckboxes.defaultProps = {
  'aria-describedby': null,
  'aria-invalid': 'false',
  className: null,
  disabled: false,
  id: null,
  inline: false,
  onBlur: null,
  onChange: null,
  onFocus: null,
  required: false,
  tooltip: null,
  value: null,
  variant: null
};
export default withField(isEmptyCheck)(FieldCheckboxes);