import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import React from 'react';
import { shallow } from 'enzyme';
import { FieldDate } from './FieldDate';
var props = {
  'aria-describedby': 'aria-desc-id',
  'aria-invalid': 'false',
  className: 'test-classname',
  disabled: false,
  id: 'test-id',
  label: 'test-label',
  minDate: '1900-01-02',
  name: 'test-name',
  onChange: jest.fn(),
  value: '2020-05-03'
};
var wrapper;
var instance;
describe('FieldDate', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(FieldDate, props));
    instance = wrapper.instance();
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should format and update the displayed date when a new value is recieved', function () {
    wrapper.setProps(_objectSpread(_objectSpread({}, props), {}, {
      value: new Date('2011-09-01T08:00:00.000Z')
    }));
    expect(wrapper.state('displayText')).toBe('2011-09-01');
  });
  it('should hide the calender icon when disabled', function () {
    wrapper.setProps({
      disabled: true
    });
    expect(wrapper.find('[data-test="field__date-icon"]').prop('hidden')).toBe(true);
  });
  it('should handle invalid dates', function () {
    var pickerDate = instance.getPickerDate('invalid date');
    var displayDate = instance.getDisplayDate('invalid date');
    expect(pickerDate).toBe('');
    expect(displayDate).toBe('');
  });
});