import React from 'react';
import { shallow } from 'enzyme';
import { FieldInput } from './FieldInput';
var props = {
  'aria-describedby': 'aria-desc-id',
  'aria-invalid': 'false',
  className: 'test-classname',
  disabled: false,
  id: 'test-id',
  label: 'test-label',
  name: 'test-name',
  onBlur: jest.fn(),
  onChange: jest.fn(),
  onFocus: jest.fn(),
  tag: 'input',
  value: 'test-value'
};
var wrapper;
describe('FieldInput', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(FieldInput, props));
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should render custom `tag`s', function () {
    wrapper.setProps({
      tag: 'textarea'
    });
    expect(wrapper.find('textarea').length).toBe(1);
  });
  it('should pass addtional props', function () {
    wrapper.setProps({
      disabled: true
    });
    expect(wrapper.find(props.tag).prop('disabled')).toBe(true);
  });
});