import React from 'react';
import { shallow } from 'enzyme';
import Select from 'react-select';
import { FieldReactSelect } from './FieldReactSelect';
var props = {
  'aria-describedby': 'aria-desc-id',
  'aria-invalid': 'false',
  className: 'test-classname',
  disabled: false,
  id: 'test-id',
  label: 'test-label',
  multiple: false,
  name: 'test-name',
  onBlur: jest.fn(),
  onChange: jest.fn(),
  onFocus: jest.fn(),
  options: [{
    value: 'value-1',
    label: 'label-1',
    className: 'option-class'
  }, {
    value: 'value-2',
    label: 'label-2'
  }],
  required: true,
  tooltip: 'test-tooltip',
  value: 'value-1'
};
var wrapper;
describe('FieldReactSelect', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(FieldReactSelect, props));
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should fire onBlur on Blur', function () {
    wrapper.find(Select).simulate('focus');
    wrapper.find(Select).simulate('change');
    wrapper.find(Select).simulate('blur');
    expect(props.onBlur).toBeCalled();
  });
});