import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';
import * as propUtils from '../../utils/propTypes';
import A from '../A';
/**
 * Renders a footer with links to policies and social media.
 * Additionally renders a copyright for the current year and
 * a version number as specified by the `REACT_APP_VERSION` variable
 *
 * To retrieve the variable from the package.json's version use
 * `REACT_APP_VERSION=$npm_package_version`
 * in the .env file
 * */

var Footer =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Footer, _React$Component);

  var _super = _createSuper(Footer);

  function Footer() {
    var _this;

    _classCallCheck(this, Footer);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _this.getCopyRight = function () {
      return "Copyright \xA9 ".concat(new Date().getFullYear());
    };

    _this.getVersion = function () {
      return process.env.REACT_APP_VERSION ? "v".concat(process.env.REACT_APP_VERSION) : '';
    };

    return _this;
  }

  _createClass(Footer, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          contactLink = _this$props.contactLink,
          footerLinks = _this$props.footerLinks,
          socialLinks = _this$props.socialLinks;
      return (
        /*#__PURE__*/
        React.createElement(React.Fragment, null,
        /*#__PURE__*/
        React.createElement("footer", {
          className: 'global-footer'
        },
        /*#__PURE__*/
        React.createElement("div", {
          className: 'container'
        },
        /*#__PURE__*/
        React.createElement("div", {
          className: 'row'
        },
        /*#__PURE__*/
        React.createElement("div", {
          className: 'three-quarters'
        },
        /*#__PURE__*/
        React.createElement("ul", {
          className: 'footer-links'
        }, footerLinks.map(function (link) {
          return (
            /*#__PURE__*/
            React.createElement("li", {
              key: link.text
            },
            /*#__PURE__*/
            React.createElement(A, link))
          );
        }),
        /*#__PURE__*/
        React.createElement("li", null,
        /*#__PURE__*/
        React.createElement(A, contactLink)))),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'quarter text-right'
        },
        /*#__PURE__*/
        React.createElement("ul", {
          className: 'socialsharer-container'
        }, socialLinks.map(function (link) {
          return (
            /*#__PURE__*/
            React.createElement("li", {
              key: link.href
            },
            /*#__PURE__*/
            React.createElement(A, link))
          );
        }))))),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'copyright'
        },
        /*#__PURE__*/
        React.createElement("div", {
          className: 'container d-flex justify-content-between'
        },
        /*#__PURE__*/
        React.createElement("span", null, this.getCopyRight()),
        /*#__PURE__*/
        React.createElement("span", null, this.getVersion())))),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'decoration-last'
        }, "\xA0"))
      );
    }
  }]);

  return Footer;
}(React.Component);

Footer.defaultProps = {
  contactLink: propUtils.contactLinkDefault,
  footerLinks: propUtils.footerLinksDefault,
  socialLinks: propUtils.socialLinksDefault
};
export default Footer;