import React from 'react';
import { reduxForm } from 'redux-form';
/**
 * A redux-form connected form. All Fields must be wrapped in redux-form, it
 * is recommended to use this for doing so.
 *
 * See redux-form's `reduxForm` documentation for full available props
 */

export var Form = function Form(_ref) {
  var children = _ref.children,
      handleSubmit = _ref.handleSubmit,
      onSubmit = _ref.onSubmit;
  return (
    /*#__PURE__*/
    React.createElement("form", {
      onSubmit: handleSubmit(onSubmit)
    }, children)
  );
};
var withReduxForm = reduxForm()(Form);
export default withReduxForm;