import React from 'react';
import * as propUtils from '../../../utils/propTypes';
import NavItem from './NavItem';

var Navigation = function Navigation(_ref) {
  var isMobileOpen = _ref.isMobileOpen,
      routes = _ref.routes,
      toggleMobileOpen = _ref.toggleMobileOpen;
  var closedClass = isMobileOpen ? '' : 'mobile-closed';

  if (!routes.length) {
    return null;
  }

  return (
    /*#__PURE__*/
    React.createElement("nav", {
      id: 'navigation',
      className: "main-navigation singlelevel auto-highlight ".concat(closedClass)
    },
    /*#__PURE__*/
    React.createElement("ul", {
      id: 'nav_list',
      className: 'top-level-nav'
    }, routes.map(function (route) {
      return (
        /*#__PURE__*/
        React.createElement(NavItem, Object.assign({}, route, {
          toggleMobileOpen: toggleMobileOpen
        }))
      );
    })))
  );
};

export default Navigation;