import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';
import Icon from '../../Icon';

var SettingsBar =
/*#__PURE__*/
function (_React$Component) {
  _inherits(SettingsBar, _React$Component);

  var _super = _createSuper(SettingsBar);

  function SettingsBar() {
    var _this;

    _classCallCheck(this, SettingsBar);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _this.setHighContrast = function () {
      document.getElementsByTagName('html')[0].classList.add('high-contrast');
      localStorage.setItem('highContrast', 'on');
    };

    _this.clearHighContrast = function () {
      document.getElementsByTagName('html')[0].classList.remove('high-contrast');
      localStorage.removeItem('highContrast');
    };

    _this.updateFont = function (_ref) {
      var amount = _ref.amount;
      var current = Number(document.body.style.zoom) || 1;
      document.body.style.zoom = current + amount;
      localStorage.setItem('zoom', document.body.style.zoom);
    };

    _this.increaseFont = function () {
      _this.updateFont({
        amount: 0.1
      });
    };

    _this.descreaseFont = function () {
      _this.updateFont({
        amount: -0.1
      });
    };

    _this.resetFont = function () {
      document.body.style.zoom = 1;
      localStorage.setItem('zoom', 1);
    };

    return _this;
  }

  _createClass(SettingsBar, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          isSettingsOpen = _this$props.isSettingsOpen,
          toggleSettingsOpen = _this$props.toggleSettingsOpen;
      var openClass = isSettingsOpen ? 'show' : '';
      var expanded = isSettingsOpen ? 'true' : 'false';
      return (
        /*#__PURE__*/
        React.createElement("div", {
          className: "site-settings section section-standout collapse collapsed ".concat(openClass),
          role: 'alert',
          id: 'siteSettings'
        },
        /*#__PURE__*/
        React.createElement("div", {
          className: 'container p-y'
        },
        /*#__PURE__*/
        React.createElement("button", {
          onClick: toggleSettingsOpen,
          type: 'button',
          className: 'close',
          "aria-expanded": expanded,
          "aria-controls": 'siteSettings',
          "aria-label": 'Close'
        },
        /*#__PURE__*/
        React.createElement("span", {
          "aria-hidden": 'true'
        }, "\xD7")),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'btn-group btn-group-justified-sm',
          role: 'group',
          "aria-label": 'contrastMode'
        },
        /*#__PURE__*/
        React.createElement("div", {
          className: 'btn-group'
        },
        /*#__PURE__*/
        React.createElement("button", {
          type: 'button',
          onClick: this.clearHighContrast,
          className: 'btn btn-standout disableHighContrastMode'
        }, "Default")),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'btn-group'
        },
        /*#__PURE__*/
        React.createElement("button", {
          type: 'button',
          onClick: this.setHighContrast,
          className: 'btn btn-standout enableHighContrastMode'
        }, "High Contrast"))),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'btn-group',
          role: 'group',
          "aria-label": 'textSizeMode'
        },
        /*#__PURE__*/
        React.createElement("div", {
          className: 'btn-group'
        },
        /*#__PURE__*/
        React.createElement("button", {
          type: 'button',
          onClick: this.resetFont,
          className: 'btn btn-standout resetTextSize'
        }, "Reset")),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'btn-group'
        },
        /*#__PURE__*/
        React.createElement("button", {
          onClick: this.increaseFont,
          type: 'button',
          className: 'btn btn-standout increaseTextSize'
        },
        /*#__PURE__*/
        React.createElement("span", {
          className: 'hidden-xs'
        }, "Increase Font Size"),
        /*#__PURE__*/
        React.createElement("span", {
          className: 'visible-xs'
        }, 'Font ',
        /*#__PURE__*/
        React.createElement(Icon, {
          name: 'plus-line',
          className: 'font-size-sm',
          srOnly: 'Increase'
        })))),
        /*#__PURE__*/
        React.createElement("div", {
          className: 'btn-group btn-group-justified-sm'
        },
        /*#__PURE__*/
        React.createElement("button", {
          onClick: this.descreaseFont,
          type: 'button',
          className: 'btn btn-standout decreaseTextSize'
        },
        /*#__PURE__*/
        React.createElement("span", {
          className: 'hidden-xs'
        }, "Decrease Font Size"),
        /*#__PURE__*/
        React.createElement("span", {
          className: 'visible-xs'
        }, 'Font ',
        /*#__PURE__*/
        React.createElement(Icon, {
          name: 'minus-line',
          className: 'font-size-sm',
          srOnly: 'Decrease'
        })))))))
      );
    }
  }]);

  return SettingsBar;
}(React.Component);

export default SettingsBar;