import React from 'react';
import * as propUtils from '../../../utils/propTypes';
import govLogo from '../../../images/Ca-Gov-Logo-Gold.svg';
import A from '../../A';
import Button from '../../Button';

var UtilityHeader = function UtilityHeader(_ref) {
  var toggleSettingsOpen = _ref.toggleSettingsOpen,
      contactLink = _ref.contactLink,
      title = _ref.title,
      settingsChildren = _ref.settingsChildren;
  return (
    /*#__PURE__*/
    React.createElement("div", {
      className: 'global-header utility-header'
    },
    /*#__PURE__*/
    React.createElement("div", {
      className: 'container'
    },
    /*#__PURE__*/
    React.createElement("div", {
      className: 'group flex-row'
    },
    /*#__PURE__*/
    React.createElement("div", {
      className: 'social-media-links'
    },
    /*#__PURE__*/
    React.createElement("div", {
      className: 'header-cagov-logo'
    },
    /*#__PURE__*/
    React.createElement("a", {
      href: 'http://www.ca.gov/'
    },
    /*#__PURE__*/
    React.createElement("span", {
      className: 'sr-only'
    }, "CA.gov"),
    /*#__PURE__*/
    React.createElement("img", {
      className: 'pos-rel',
      "aria-hidden": 'true',
      src: govLogo,
      alt: 'Ca Gov Logo'
    }))), title ?
    /*#__PURE__*/
    React.createElement("div", {
      className: 'header-title'
    }, title) :
    /*#__PURE__*/
    React.createElement(A, {
      to: '/',
      iconProps: {
        name: 'home',
        srOnly: 'Home'
      }
    })),
    /*#__PURE__*/
    React.createElement("div", {
      className: 'settings-links'
    }, settingsChildren,
    /*#__PURE__*/
    React.createElement(A, contactLink),
    /*#__PURE__*/
    React.createElement(Button, {
      "aria-expanded": 'false',
      "aria-controls": 'siteSettings',
      className: 'btn-xs',
      iconProps: {
        name: 'gear'
      },
      onClick: toggleSettingsOpen,
      text: 'Settings',
      variant: 'primary'
    })))))
  );
};

UtilityHeader.defaultProps = {
  settingsChildren: null,
  title: null
};
export default UtilityHeader;