import React from 'react';
import { shallow } from 'enzyme';
import { UtilityHeader as fromLib } from '../../..';
import UtilityHeader from './UtilityHeader';
var props = {
  isSettingsOpen: false,
  toggleSettingsOpen: jest.fn(),
  contactLink: {
    text: 'test-link-text',
    href: 'https://test-link.test'
  }
};
var wrapper;
describe('UtilityHeader', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(UtilityHeader, props));
  });
  it('should be exported as part of the library', function () {
    expect(fromLib).toEqual(UtilityHeader);
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should render with a title', function () {
    props.title = 'test-title';
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(UtilityHeader, props));
    expect(wrapper.find('.header-title').length).toEqual(1);
  });
});