import * as React from 'react';

import * as types from '../../utils/types';

export type IconName =
  | 'albums'
  | 'android'
  | 'apple'
  | 'apps'
  | 'archive'
  | 'arrow-down'
  | 'arrow-fill-down'
  | 'arrow-fill-left'
  | 'arrow-fill-left-down'
  | 'arrow-fill-left-up'
  | 'arrow-fill-right'
  | 'arrow-fill-right-down'
  | 'arrow-fill-right-up'
  | 'arrow-fill-up'
  | 'arrow-left'
  | 'arrow-next'
  | 'arrow-prev'
  | 'arrow-right'
  | 'arrow-up'
  | 'at-sign'
  | 'attachment'
  | 'audio'
  | 'bar-chart'
  | 'bear'
  | 'binoculars'
  | 'book'
  | 'brain'
  | 'briefcase'
  | 'building'
  | 'ca-capitol'
  | 'ca-state'
  | 'cal'
  | 'cal-bear'
  | 'calculator'
  | 'calendar'
  | 'call'
  | 'camera'
  | 'capitol'
  | 'caret-down'
  | 'caret-fill-down'
  | 'caret-fill-left'
  | 'caret-fill-right'
  | 'caret-fill-two-down'
  | 'caret-fill-two-left'
  | 'caret-fill-two-right'
  | 'caret-fill-two-up'
  | 'caret-fill-up'
  | 'caret-left'
  | 'caret-line-down'
  | 'caret-line-left'
  | 'caret-line-right'
  | 'caret-line-two-down'
  | 'caret-line-two-left'
  | 'caret-line-two-right'
  | 'caret-line-two-up'
  | 'caret-line-up'
  | 'caret-right'
  | 'caret-two-down'
  | 'caret-two-left'
  | 'caret-two-right'
  | 'caret-two-up'
  | 'caret-up'
  | 'carousel-next'
  | 'carousel-pause'
  | 'carousel-play'
  | 'carousel-prev'
  | 'cc-copyright'
  | 'certificate'
  | 'certificate-check'
  | 'charge'
  | 'charge-cycle'
  | 'charge-units'
  | 'chat'
  | 'chat-bubble'
  | 'chat-bubbles'
  | 'check-fill'
  | 'check-line'
  | 'check-list'
  | 'check-mark'
  | 'city'
  | 'clipboard'
  | 'clock'
  | 'close-fill'
  | 'close-line'
  | 'close-mark'
  | 'cloud-download'
  | 'cloud-gear'
  | 'cloud-services'
  | 'cloud-sync'
  | 'cloud-upload'
  | 'code'
  | 'collapse'
  | 'compass'
  | 'computer'
  | 'construction'
  | 'contact-us'
  | 'contacts'
  | 'currency'
  | 'document'
  | 'download'
  | 'drawer'
  | 'drive'
  | 'ear'
  | 'ear-slash'
  | 'email'
  | 'excel'
  | 'expand'
  | 'eye'
  | 'eye-slash'
  | 'facebook'
  | 'favorite'
  | 'file'
  | 'file-audio'
  | 'file-certificate'
  | 'file-check'
  | 'file-code'
  | 'file-csv'
  | 'file-download'
  | 'file-excel'
  | 'file-export'
  | 'file-import'
  | 'file-invoice'
  | 'file-medical'
  | 'file-medical-alt'
  | 'file-pdf'
  | 'file-powerpoint'
  | 'file-prescription'
  | 'file-upload'
  | 'file-video'
  | 'file-word'
  | 'file-zip'
  | 'film'
  | 'filter'
  | 'filter-solid'
  | 'fingerprint'
  | 'fingerprint-check'
  | 'fire'
  | 'flickr'
  | 'flowchart'
  | 'folder'
  | 'gear'
  | 'gears'
  | 'globe'
  | 'google-plus'
  | 'graduate'
  | 'graph'
  | 'green'
  | 'grid'
  | 'hand'
  | 'hand-money'
  | 'handshake'
  | 'home'
  | 'hourglass'
  | 'hours'
  | 'hours-security'
  | 'house'
  | 'idea'
  | 'image'
  | 'images'
  | 'important'
  | 'important-line'
  | 'info'
  | 'info-bubble'
  | 'info-line'
  | 'instagram'
  | 'institute'
  | 'justice-legal'
  | 'key'
  | 'law-enforcement'
  | 'lightbulb'
  | 'link'
  | 'linkedin'
  | 'location'
  | 'lock'
  | 'logo'
  | 'loud-speaker'
  | 'magnify-glass'
  | 'mail'
  | 'map'
  | 'medical'
  | 'medical-bubble'
  | 'medical-care'
  | 'medical-case'
  | 'medical-clinic'
  | 'medical-cross'
  | 'medical-doctor'
  | 'medical-heart'
  | 'medical-pills'
  | 'menu'
  | 'menu-toggle-closed'
  | 'menu-toggle-open'
  | 'mic'
  | 'microsoft'
  | 'minus-fill'
  | 'minus-line'
  | 'minus-mark'
  | 'mobile'
  | 'music'
  | 'online-services'
  | 'page'
  | 'pause'
  | 'payment-card'
  | 'pdf'
  | 'pencil'
  | 'pencil-edit'
  | 'people'
  | 'person'
  | 'phone'
  | 'pie-chart'
  | 'pinterest'
  | 'play'
  | 'plus-fill'
  | 'plus-line'
  | 'plus-mark'
  | 'powerpoint'
  | 'print'
  | 'pro-services'
  | 'pushpin'
  | 'puzzle'
  | 'puzzle-piece'
  | 'question'
  | 'question-fill'
  | 'question-line'
  | 'quote-fill'
  | 'read-book'
  | 'recycle'
  | 'responsive'
  | 'responsive-alt'
  | 'road-pin'
  | 'roadways'
  | 'rss'
  | 'science'
  | 'search'
  | 'search-right'
  | 'searching'
  | 'security-network'
  | 'security-system'
  | 'server'
  | 'share'
  | 'share-button'
  | 'share-email'
  | 'share-facebook'
  | 'share-flickr'
  | 'share-googleplus'
  | 'share-instagram'
  | 'share-linkedin'
  | 'share-pinterest'
  | 'share-twitter'
  | 'share-vimeo'
  | 'share-youtube'
  | 'shield'
  | 'shield-check'
  | 'shopping-cart'
  | 'skip-backwards'
  | 'skip-forward'
  | 'smartphone'
  | 'sos'
  | 'state'
  | 'table'
  | 'tablet'
  | 'tags'
  | 'thumb-up'
  | 'time'
  | 'tool'
  | 'tools'
  | 'travel-air'
  | 'travel-car'
  | 'triangle-down'
  | 'triangle-left'
  | 'triangle-line-down'
  | 'triangle-line-left'
  | 'triangle-line-right'
  | 'triangle-line-up'
  | 'triangle-right'
  | 'triangle-up'
  | 'trophy'
  | 'truck-delivery'
  | 'twitter'
  | 'user-id'
  | 'users'
  | 'users-alt'
  | 'users-dialog'
  | 'users-interaction'
  | 'video'
  | 'video-camera'
  | 'vimeo'
  | 'volume'
  | 'wallet'
  | 'warning-fill'
  | 'warning-triangle'
  | 'word'
  | 'youtube'
  | 'zipped-file'
  | 'zoom-in'
  | 'zoom-out'
;

export interface IconProps {
  /** Name of icon to use (auto prefixes with ca-gov-icon-) */
  name: IconName;

  /** Class names to attach to the top level div */
  className?: string;

  /** Screen Reader only text */
  srOnly?: string;

  /** HTML tag to render as  */
  tag?: React.ReactNode;
}

declare class Icon extends React.Component<IconProps, {}> {}

export default Icon;
