import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';
/**
 * The `Icon` is used to render a state template icon,
 * automatically prefixing all icons with the correct class names.
 * See http://template.webstandards.ca.gov/sample/icon-fonts.html
 * for the full list of avaiable icon names.
 */

var Icon = function Icon(props) {
  var className = props.className,
      name = props.name,
      srOnly = props.srOnly,
      Tag = props.tag,
      rest = _objectWithoutProperties(props, ["className", "name", "srOnly", "tag"]);

  var cn = classNames([className, "ca-gov-icon-".concat(name)]);
  return (
    /*#__PURE__*/
    React.createElement(React.Fragment, null,
    /*#__PURE__*/
    React.createElement(Tag, Object.assign({
      "data-test": 'icon',
      className: cn,
      "aria-hidden": true
    }, rest)), srOnly &&
    /*#__PURE__*/
    React.createElement("span", {
      className: 'sr-only'
    }, srOnly))
  );
};

Icon.defaultProps = {
  className: null,
  srOnly: '',
  tag: 'span'
};
export default Icon;