import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';

var LayoutBase = function LayoutBase(props) {
  var baseClass = props.baseClass,
      children = props.children,
      className = props.className,
      Tag = props.tag,
      rest = _objectWithoutProperties(props, ["baseClass", "children", "className", "tag"]);

  var cn = classNames([baseClass, className]);
  return (
    /*#__PURE__*/
    React.createElement(Tag, Object.assign({
      className: cn
    }, rest), children)
  );
};

LayoutBase.defaultProps = {
  baseClass: '',
  className: '',
  tag: 'div'
};
export default LayoutBase;