import React from 'react';
import { shallow } from 'enzyme';
import { LayoutBase as fromLib } from '../..';
import LayoutBase from './LayoutBase';
var props = {
  baseClass: 'test-baseclass',
  children: 'test-children',
  className: 'test-class',
  tag: 'div'
};
var wrapper;
describe('LayoutBase', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(LayoutBase, props));
  });
  it('should be exported as part of the library', function () {
    expect(fromLib).toEqual(LayoutBase);
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should attach class names to the base class', function () {
    expect(wrapper.prop('className')).toMatch(props.baseClass);
    expect(wrapper.prop('className')).toMatch(props.className);
  });
  it('should pass additional props to the tag', function () {
    wrapper.setProps({
      id: 'test-id'
    });
    expect(wrapper.find({
      id: 'test-id'
    }).length).toBe(1);
  });
  it('should render as the html tag provided', function () {
    wrapper.setProps({
      tag: 'span'
    });
    expect(wrapper.find('span').length).toBe(1);
  });
});