import React from 'react';
import { BannerPrimary } from '../Banner';
import Container from './Container';
import Section from './Section';
import MainContent from './MainContent';
import MainPrimary from './MainPrimary';

var Page = function Page(_ref) {
  var bannerSrc = _ref.bannerSrc,
      children = _ref.children,
      className = _ref.className,
      title = _ref.title;
  return (
    /*#__PURE__*/
    React.createElement(React.Fragment, null, bannerSrc &&
    /*#__PURE__*/
    React.createElement(BannerPrimary, {
      src: bannerSrc
    }),
    /*#__PURE__*/
    React.createElement(MainContent, {
      className: className
    },
    /*#__PURE__*/
    React.createElement(MainPrimary, null, title &&
    /*#__PURE__*/
    React.createElement(Section, {
      variant: 'standout'
    },
    /*#__PURE__*/
    React.createElement(Container, null,
    /*#__PURE__*/
    React.createElement("h1", {
      className: 'm-b-0'
    }, title))),
    /*#__PURE__*/
    React.createElement(Section, null,
    /*#__PURE__*/
    React.createElement(Container, null, children)))))
  );
};

Page.defaultProps = {
  bannerSrc: null,
  children: null,
  className: null,
  title: null
};
export default Page;