import React from 'react';
import { shallow } from 'enzyme';
import { Page as fromLib } from '../..';
import { BannerPrimary } from '../Banner';
import Page from './Page';
var props = {
  bannerSrc: 'test-banner-src',
  children: 'test-children',
  className: 'test-class',
  title: 'test-title'
};
var wrapper;
describe('Page', function () {
  beforeEach(function () {
    wrapper = shallow(
    /*#__PURE__*/
    React.createElement(Page, props));
  });
  it('should be exported as part of the library', function () {
    expect(fromLib).toEqual(Page);
  });
  it('should render correctly', function () {
    expect(wrapper).toMatchSnapshot();
  });
  it('should not render a banner if `bannerSrc` is not provided', function () {
    wrapper.setProps({
      bannerSrc: null
    });
    expect(wrapper.find(BannerPrimary).length).toBe(0);
  });
  it('should not render a title if `title` is not provided', function () {
    wrapper.setProps({
      title: null
    });
    expect(wrapper.find('h1').length).toBe(0);
  });
});