import { connect } from 'react-redux';
import { createStructuredSelector } from 'reselect';
import Messages from './Messages';
import * as actions from './actions';
import * as selectors from './selectors';
export var mapStateToProps = createStructuredSelector({
  messages: selectors.getMessages()
});
export var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    clearMessage: function clearMessage(id) {
      return dispatch(actions.clearMessage(id));
    }
  };
};
var ConnectedMessages = connect(mapStateToProps, mapDispatchToProps)(Messages);
export default ConnectedMessages;