import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';
import Card from '../Card';

var Messages =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Messages, _React$Component);

  var _super = _createSuper(Messages);

  function Messages(props) {
    var _this;

    _classCallCheck(this, Messages);

    _this = _super.call(this, props);

    _this.setTimer = function (message) {
      var clearMessage = _this.props.clearMessage;
      var id = message.id,
          _message$delay = message.delay,
          delay = _message$delay === void 0 ? 4000 : _message$delay;
      _this.timers[id] = setTimeout(function () {
        clearMessage(id);
      }, delay);
    };

    _this.clearTimer = function (id) {
      if (_this.timers[id]) {
        clearTimeout(_this.timers[id]);
        delete _this.timers[id];
      }
    };

    _this.onDismiss = function (id) {
      var clearMessage = _this.props.clearMessage;
      clearMessage(id);

      _this.clearTimer(id);
    };

    _this.timers = {};
    return _this;
  }

  _createClass(Messages, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      var messages = this.props.messages; // have new message, set timer for it

      if (messages.length && messages.length !== prevProps.messages.length) {
        this.setTimer(messages[messages.length - 1]);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      var messages = this.props.messages;

      if (!messages.length) {
        return null;
      }

      return (
        /*#__PURE__*/
        React.createElement("div", {
          "data-test": 'status-messages',
          className: 'status-messages'
        }, messages.map(function (x) {
          return (
            /*#__PURE__*/
            React.createElement(Card, Object.assign({
              key: x.id
            }, x, {
              onDismiss: function onDismiss() {
                return _this2.onDismiss(x.id);
              }
            }))
          );
        }))
      );
    }
  }]);

  return Messages;
}(React.Component);

export default Messages;