import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';
import { Route, withRouter, Switch, Redirect } from 'react-router-dom';
import * as propUtils from '../../utils/propTypes';
import A from '../A';
/**
 * Renders a Bootstrap style nav tab
 */

var NavTabs = function NavTabs(props) {
  var className = props.className,
      defaultPath = props.defaultPath,
      location = props.location,
      match = props.match,
      routes = props.routes,
      staticContext = props.staticContext,
      rest = _objectWithoutProperties(props, ["className", "defaultPath", "location", "match", "routes", "staticContext"]);

  var cn = classNames(['nav nav-tabs m-b-md', className]); // redirect to `defaultPath` route, or base path if none provided

  var redirectPath = defaultPath ? "".concat(match.path).concat(defaultPath) : match.path;
  return (
    /*#__PURE__*/
    React.createElement(React.Fragment, null,
    /*#__PURE__*/
    React.createElement("div", Object.assign({
      className: cn
    }, rest), routes.filter(function (x) {
      return !x.hidden;
    }).map(function (route) {
      var to = "".concat(match.url).concat(route.path);
      var active = location.pathname === to;
      var linkClass = classNames(['nav-link', {
        active: active
      }]);
      return (
        /*#__PURE__*/
        React.createElement("li", {
          key: route.key,
          role: 'presentation',
          className: 'nav-item'
        },
        /*#__PURE__*/
        React.createElement(A, {
          to: to,
          className: linkClass
        }, route.name))
      );
    })),
    /*#__PURE__*/
    React.createElement(Switch, null, routes.map(function (route) {
      return (
        /*#__PURE__*/
        React.createElement(Route, Object.assign({}, route, {
          path: "".concat(match.path).concat(route.path)
        }))
      );
    }),
    /*#__PURE__*/
    React.createElement(Redirect, {
      to: redirectPath
    })))
  );
};

NavTabs.defaultProps = {
  className: '',
  defaultPath: ''
};
export default withRouter(NavTabs);