import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import classNames from 'classnames';
/**
 * Overlays render over children content,
 * blocking any user interaction.
 */

var Overlay = function Overlay(props) {
  var show = props.show,
      onClick = props.onClick,
      onKeyPress = props.onKeyPress,
      isMobile = props.isMobile,
      transparent = props.transparent,
      className = props.className,
      rest = _objectWithoutProperties(props, ["show", "onClick", "onKeyPress", "isMobile", "transparent", "className"]);

  if (!show) {
    return null;
  }

  var overlayProps = _objectSpread(_objectSpread({}, rest), {}, {
    onClick: onClick,
    role: 'presentation',
    onKeyPress: onKeyPress || onClick,
    className: classNames(['overlay', className, {
      transparent: transparent
    }, {
      'mobile-only': isMobile
    }])
  });

  return (
    /*#__PURE__*/
    React.createElement("div", overlayProps)
  );
};

Overlay.defaultProps = {
  onClick: undefined,
  onKeyPress: undefined,
  isMobile: false,
  transparent: false,
  className: ''
};
export default Overlay;