import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';
import { Route, Switch, Redirect, withRouter } from 'react-router-dom';
import * as propUtils from '../../utils/propTypes';
import ErrorBoundary from '../ErrorBoundary';
export var Routing =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Routing, _React$Component);

  var _super = _createSuper(Routing);

  function Routing() {
    var _this;

    _classCallCheck(this, Routing);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _this.renderRoute = function (route) {
      var C = route.component,
          rest = _objectWithoutProperties(route, ["component"]); // do not render if no component provided


      if (!C) {
        return null;
      }

      var render = function render(props) {
        return (
          /*#__PURE__*/
          React.createElement(ErrorBoundary, null,
          /*#__PURE__*/
          React.createElement(C, props))
        );
      };

      return (
        /*#__PURE__*/
        React.createElement(Route, Object.assign({
          render: render
        }, rest))
      );
    };

    return _this;
  }

  _createClass(Routing, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var _this$props = this.props,
          routes = _this$props.routes,
          redirect = _this$props.redirect;
      return (
        /*#__PURE__*/
        React.createElement(Switch, null, routes.map(function (route) {
          return _this2.renderRoute(route);
        }), redirect &&
        /*#__PURE__*/
        React.createElement(Redirect, {
          to: redirect
        }))
      );
    }
  }]);

  return Routing;
}(React.Component);
Routing.defaultProps = {
  routes: [],
  redirect: null
};
export default withRouter(Routing);