import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';
import BootstrapTable from 'react-bootstrap-table-next';
import paginationFactory from 'react-bootstrap-table2-paginator';
import ToolkitProvider from 'react-bootstrap-table2-toolkit';
import classNames from 'classnames';
import 'react-bootstrap-table-next/dist/react-bootstrap-table2.min.css';
import 'react-bootstrap-table2-paginator/dist/react-bootstrap-table2-paginator.min.css';
import TableHeader from './TableHeader';

var Table =
/*#__PURE__*/
function (_React$Component) {
  _inherits(Table, _React$Component);

  var _super = _createSuper(Table);

  function Table() {
    var _this;

    _classCallCheck(this, Table);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _this.buildColumns = function (columns) {
      return columns.map(function (x) {
        return _objectSpread(_objectSpread({}, x), {}, {
          headerStyle: _objectSpread(_objectSpread({}, x.style), {}, {
            minWidth: x.minWidth ? "".concat(x.minWidth, "px") : '100px',
            maxWidth: x.maxWidth ? "".concat(x.maxWidth, "px") : 'auto'
          })
        });
      });
    };

    _this.buildPagination = function (baseProps) {
      var data = baseProps.data;
      var _this$props = _this.props,
          onPageChange = _this$props.onPageChange,
          onSizePerPageChange = _this$props.onSizePerPageChange,
          remote = _this$props.remote,
          page = _this$props.page,
          sizePerPage = _this$props.sizePerPage,
          totalSize = _this$props.totalSize;
      var hideSizePerPage = false;
      var showTotal = true; // hide size per page if less than first amount selectable

      if (data.length < 10) {
        hideSizePerPage = true;
        showTotal = false;
      }

      var remoteFields = remote ? {
        page: page,
        sizePerPage: sizePerPage,
        totalSize: totalSize
      } : {};
      return paginationFactory(_objectSpread(_objectSpread({}, remoteFields), {}, {
        showTotal: showTotal,
        hideSizePerPage: hideSizePerPage,
        onPageChange: onPageChange,
        onSizePerPageChange: onSizePerPageChange,
        hidePageListOnlyOnePage: true,
        paginationTotalRenderer: _this.renderPaginationTotal
      }));
    };

    _this.renderPaginationTotal = function () {
      return (
        /*#__PURE__*/
        React.createElement("span", {
          className: 'react-bootstrap-table-pagination-total'
        }, " Per Page")
      );
    };

    _this.renderTable = function (_ref) {
      var searchProps = _ref.searchProps,
          baseProps = _ref.baseProps;
      var _this$props2 = _this.props,
          cellEdit = _this$props2.cellEdit,
          className = _this$props2.className,
          defaultSorted = _this$props2.defaultSorted,
          hidePagination = _this$props2.hidePagination,
          hideSearch = _this$props2.hideSearch,
          menu = _this$props2.menu,
          rowClasses = _this$props2.rowClasses,
          rowEvents = _this$props2.rowEvents,
          selectRow = _this$props2.selectRow,
          title = _this$props2.title,
          tableRef = _this$props2.tableRef,
          remote = _this$props2.remote,
          onTableChange = _this$props2.onTableChange;

      var columns = baseProps.columns,
          rest = _objectWithoutProperties(baseProps, ["columns"]);

      var pagination = _this.buildPagination(baseProps);

      var mappedColumns = _this.buildColumns(columns);

      var cn = classNames([className, 'st-table', {
        'with-events': rowEvents
      }]);

      var tableProps = _objectSpread(_objectSpread(_objectSpread(_objectSpread(_objectSpread({}, rest), {}, {
        remote: remote,
        bootstrap4: true,
        bordered: false,
        columns: mappedColumns,
        condensed: true,
        defaultSorted: defaultSorted,
        hover: true,
        noDataIndication: 'No Entries',
        rowClasses: rowClasses,
        rowEvents: rowEvents,
        onTableChange: onTableChange
      }, !hidePagination && {
        pagination: pagination
      }), selectRow && {
        selectRow: selectRow
      }), cellEdit && {
        cellEdit: cellEdit
      }), tableRef && {
        ref: tableRef
      });

      return (
        /*#__PURE__*/
        React.createElement("div", {
          className: cn,
          "data-test": 'table'
        },
        /*#__PURE__*/
        React.createElement(TableHeader, Object.assign({
          title: title,
          menu: menu,
          hideSearch: hideSearch
        }, searchProps)),
        /*#__PURE__*/
        React.createElement(BootstrapTable, tableProps))
      );
    };

    return _this;
  }

  _createClass(Table, [{
    key: "render",
    value: function render() {
      var _this$props3 = this.props,
          keyField = _this$props3.keyField,
          search = _this$props3.search,
          rest = _objectWithoutProperties(_this$props3, ["keyField", "search"]);

      return (
        /*#__PURE__*/
        React.createElement(ToolkitProvider, Object.assign({
          keyField: keyField,
          search: search
        }, rest), this.renderTable)
      );
    }
  }]);

  return Table;
}(React.Component);

Table.defaultProps = {
  cellEdit: null,
  className: null,
  defaultSorted: null,
  hidePagination: false,
  hideSearch: false,
  keyField: 'id',
  menu: null,
  onPageChange: null,
  onSizePerPageChange: null,
  onTableChange: null,
  page: null,
  remote: false,
  rowClasses: null,
  rowEvents: null,
  search: true,
  selectRow: null,
  sizePerPage: null,
  tableRef: null,
  title: '',
  totalSize: null
};
export default Table;