import _classCallCheck from "@babel/runtime/helpers/esm/classCallCheck";
import _createClass from "@babel/runtime/helpers/esm/createClass";
import _inherits from "@babel/runtime/helpers/esm/inherits";
import _possibleConstructorReturn from "@babel/runtime/helpers/esm/possibleConstructorReturn";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";

function _createSuper(Derived) {
  function isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  return function () {
    var Super = _getPrototypeOf(Derived),
        result;

    if (isNativeReflectConstruct()) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

import React from 'react';

var TableHeader =
/*#__PURE__*/
function (_React$Component) {
  _inherits(TableHeader, _React$Component);

  var _super = _createSuper(TableHeader);

  function TableHeader() {
    var _this;

    _classCallCheck(this, TableHeader);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _this.renderMenu = function () {
      var _this$props = _this.props,
          menu = _this$props.menu,
          title = _this$props.title,
          hideSearch = _this$props.hideSearch;
      var className = 'col-12 col-sm-6';

      if (title) {
        if (hideSearch) {
          // put menu to right of title if no search
          className = 'col-6 order-12 d-flex flex-row-reverse';
        } else {
          // push menu above title if it exists
          className = 'col-12';
        }
      }

      if (menu) {
        return (
          /*#__PURE__*/
          React.createElement("div", {
            className: className
          }, menu)
        );
      }

      return null;
    };

    _this.renderTitle = function () {
      var _this$props2 = _this.props,
          title = _this$props2.title,
          hideSearch = _this$props2.hideSearch;
      var className = 'col-12 col-sm-6';

      if (hideSearch) {
        // allow menu to float to right if no search
        className = 'col-6';
      }

      if (title) {
        return (
          /*#__PURE__*/
          React.createElement("div", {
            className: className
          },
          /*#__PURE__*/
          React.createElement("h2", null, title))
        );
      }

      return null;
    };

    _this.renderSearch = function () {
      var _this$props3 = _this.props,
          menu = _this$props3.menu,
          title = _this$props3.title,
          onSearch = _this$props3.onSearch,
          hideSearch = _this$props3.hideSearch; // push menu above title if it exists

      var className = 'col-12 col-sm-6';

      if (!title && !menu) {
        className = 'col-12 col-sm-6 offset-sm-6';
      }

      if (onSearch && !hideSearch) {
        return (
          /*#__PURE__*/
          React.createElement("div", {
            className: className
          },
          /*#__PURE__*/
          React.createElement("input", {
            className: 'form-control',
            placeholder: 'Search',
            "aria-label": "Search ".concat(title || ''),
            onInput: function onInput(e) {
              return onSearch(e.target.value);
            }
          }),
          /*#__PURE__*/
          React.createElement("span", {
            className: 'ca-gov-icon-search-right'
          }))
        );
      }

      return null;
    };

    return _this;
  }

  _createClass(TableHeader, [{
    key: "render",
    value: function render() {
      return (
        /*#__PURE__*/
        React.createElement("div", {
          className: 'row table-header'
        }, this.renderMenu(), this.renderTitle(), this.renderSearch())
      );
    }
  }]);

  return TableHeader;
}(React.Component);

TableHeader.defaultProps = {
  hideSearch: false,
  menu: null,
  onSearch: null,
  title: null
};
export default TableHeader;