import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from 'react';
import ReactTooltip from 'react-tooltip';
import classNames from 'classnames';
/**
 * Tooltips rendered using [react-tooltip](https://github.com/wwayne/react-tooltip).
 * Refer to their documentation for additional properties, usability, and issues.
 */

var Tooltip = function Tooltip(props) {
  var children = props.children,
      className = props.className,
      id = props.id,
      text = props.text,
      rest = _objectWithoutProperties(props, ["children", "className", "id", "text"]);

  var cn = classNames(['st-tooltip', className]);
  return (
    /*#__PURE__*/
    React.createElement(ReactTooltip, Object.assign({
      "data-test": 'tooltip',
      className: cn,
      id: id,
      effect: 'solid'
    }, rest), text || children)
  );
};

Tooltip.defaultProps = {
  children: null,
  className: null,
  text: null
};
export default Tooltip;