import _regeneratorRuntime from "@babel/runtime/regenerator";
import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import { UserAgentApplication } from 'msal';
import * as azureAuth from './azureAuth';
jest.mock('msal');
describe('azureAuth', function () {
  describe('initialize', function () {
    it('should throw error if clientId isnt passed', function () {
      var throwError;

      try {
        azureAuth.initialize();
      } catch (error) {
        throwError = error;
      }

      expect(throwError).toBeDefined();
    });
    it('should throw error if authority isnt passed', function () {
      var throwError;

      try {
        azureAuth.initialize('');
      } catch (error) {
        throwError = error;
      }

      expect(throwError).toBeDefined();
    });
  });
  describe('formatAPIParams', function () {
    it('should return params without bearer when not authenticated',
    /*#__PURE__*/
    _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee() {
      var method, params;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) {
          switch (_context.prev = _context.next) {
            case 0:
              method = 'GET';
              _context.next = 3;
              return azureAuth.formatAPIParams(false, method, []);

            case 3:
              params = _context.sent;
              expect(params.headers['Content-Type']).toBeDefined();
              expect(params.headers.Authorization).toBeUndefined();
              expect(params.method).toBe(method);

            case 7:
            case "end":
              return _context.stop();
          }
        }
      }, _callee);
    })));
    it('should return params with bearer when authenticated',
    /*#__PURE__*/
    _asyncToGenerator(
    /*#__PURE__*/
    _regeneratorRuntime.mark(function _callee2() {
      var method, params;
      return _regeneratorRuntime.wrap(function _callee2$(_context2) {
        while (1) {
          switch (_context2.prev = _context2.next) {
            case 0:
              UserAgentApplication.mockImplementation(function () {
                return {
                  acquireTokenSilent: function acquireTokenSilent() {
                    return {
                      accessToken: 'test-token'
                    };
                  }
                };
              });
              azureAuth.initialize('test-client-id', 'test-uri', 'test-authority');
              method = 'GET';
              _context2.next = 5;
              return azureAuth.formatAPIParams(true, method, []);

            case 5:
              params = _context2.sent;
              expect(params.headers['Content-Type']).toBeDefined();
              expect(params.headers.Authorization).toBe('Bearer test-token');
              expect(params.method).toBe(method);

            case 9:
            case "end":
              return _context2.stop();
          }
        }
      }, _callee2);
    })));
  });
});