/**
 * Normalizes values into a 123-456-7890 format
 */
export var normalizePhone = function normalizePhone(value) {
  if (!value) {
    return value;
  }

  var nums = value.replace(/[^\d]/g, ''); // ex: 12

  if (nums.length <= 3) {
    return nums;
  } // ex: 123-4


  if (nums.length <= 6) {
    return nums.replace(/^(.{3})(.{0,3})/, '$1-$2');
  } // ex: 123-456-78


  return nums.replace(/^(.{3})(.{3})(.{0,4}).*/, '$1-$2-$3');
};
/**
 * Normalizes values into a 12345 format
 */

export var normalizeZip = function normalizeZip(value) {
  if (!value) {
    return value;
  }

  var nums = value.replace(/[^\d]/g, ''); // ex: 12345

  return nums.replace(/^(.{0,5}).*/, '$1');
};
/**
 * Normalizes values into a 12345-6789 format
 */

export var hyphenateZip = function hyphenateZip(value) {
  if (!value) {
    return value;
  }

  var nums = value.replace(/[^\d]/g, ''); // ex: 12345

  if (nums.length <= 5) {
    return nums;
  } // ex: 12345-6789


  return nums.replace(/^(.{5})(.{0,5})/, '$1-$2');
};