import * as normalize from './normalize';
describe('normalize utils', function () {
  describe('normalizePhone', function () {
    it('should remove any non digit characters', function () {
      expect(normalize.normalizePhone('ab1c {6sa')).toBe('16');
    });
    it('should return in the format of 123-456-7890', function () {
      expect(normalize.normalizePhone('')).toBe('');
      expect(normalize.normalizePhone('1234')).toBe('123-4');
      expect(normalize.normalizePhone('1234567')).toBe('123-456-7');
      expect(normalize.normalizePhone('123456789012345')).toBe('123-456-7890');
    });
  });
  describe('normalizeZip', function () {
    it('should remove any non digit characters', function () {
      expect(normalize.normalizeZip('ab1c {6sa')).toBe('16');
    });
    it('should return in the format of 12345', function () {
      expect(normalize.normalizeZip('')).toBe('');
      expect(normalize.normalizeZip('123')).toBe('123');
      expect(normalize.normalizeZip('123456789012345')).toBe('12345');
    });
  });
  describe('hyphenateZip', function () {
    it('should remove any non digit characters', function () {
      expect(normalize.normalizeZip('ab1c {6sa')).toBe('16');
    });
    it('should return in the format of 12345-6789', function () {
      expect(normalize.hyphenateZip('')).toBe('');
      expect(normalize.hyphenateZip('12345')).toBe('12345');
      expect(normalize.hyphenateZip('123456789')).toBe('12345-6789');
    });
  });
});