import * as date from './date';
/* eslint no-useless-escape: 0 */

export var regex = {
  email: /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/,
  phone: /\d\d\d-\d\d\d-\d\d\d\d/,
  zip: /^\d{5}$/,
  numbersOnly: /^([0-9]*)$/
};
export var isEmptyText = function isEmptyText(value) {
  return !value || typeof value !== 'string' ? 'Required' : undefined;
};
export var isEmptyRadio = function isEmptyRadio(value) {
  return !value && Number.isNaN(Number(value)) ? 'Required' : undefined;
};
export var isEmptyCheck = function isEmptyCheck(value) {
  return value && value.length ? undefined : 'Required';
};
export var isEmptyFile = function isEmptyFile(value) {
  if (value) {
    // multiple files || single file
    if (value.length || value.name) {
      return undefined;
    }
  } // nada :(


  return 'Required';
};
export var isValidEmail = function isValidEmail(value) {
  return value && !regex.email.test(value) ? 'Invalid email. Must be in example@domain.com format.' : undefined;
};
export var isValidPhone = function isValidPhone(value) {
  return value && !regex.phone.test(value) ? 'Invalid Phone Number. Must be in 999-999-9999 format.' : undefined;
};
export var isValidDate = function isValidDate(value) {
  return date.isValid(value) ? undefined : 'Invalid Date, please select from the date picker.';
};
export var isValidZip = function isValidZip(value) {
  return value && !regex.zip.test(value) ? 'Please enter a 5 digit zip code. Ex: 95628' : undefined;
};
export var isOnlyNumbers = function isOnlyNumbers(value) {
  return value && !regex.numbersOnly.test(value) ? 'Invalid Extension' : undefined;
};
export var isEmptyOrNull = function isEmptyOrNull(value) {
  return value && (value.length > 0 || Object.keys(value).length) ? undefined : 'Required';
};